Subject: Re: bug#28152: Human readable units (-h/--human-readable vs --si) - Wrong prefix and missing unit

From: Paul Eggert <[email-masked]>
Date: Mon, 21 Aug 2017 16:21:27 -0700

On 08/21/2017 03:56 PM, Michael Weiss wrote:
> Do you think it would be possible to add another variable that wouldn't
> overwrite the default but use the "human_B" output with -h or --si?

Probably not. We've been heading more in the opposite direction, in that 
we'd rather not have environment variables affect the behavior of 
standard utilities, due to the possibility of confusion and even attacks 
on unwary users. For interactive use you can define your own du command 
or alias that behaves the way you prefer.